idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.TypeSearch

Description

Synopsis

- searchByType :: [PkgName] -> PTerm -> Idris ()
- searchPred :: IState -> Type -> [(Name, Type)] -> [(Name, Score)]
- defaultScoreFunction :: Score -> Int

# Documentation

searchByType :: [PkgName] -> PTerm -> Idris () #

searchPred :: IState -> Type -> [(Name, Type)] -> [(Name, Score)] #

Our default search predicate.

defaultScoreFunction :: Score -> Int #

Convert a `Score` to an `Int` to provide an order for search results. Lower scores are better.